gstreamermm: Gst::VorbisDec Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::VorbisDec Class Reference
[gstreamermm Plugins]

A Wrapper for the vorbisdec plugin. More...

Inherits Gst::Element.

Collaboration diagram for Gst::VorbisDec:
[legend]

List of all members.

## Public Member Functions
virtual | ~VorbisDec ()
GstVorbisDec* | gobj ()
| Provides access to the underlying C GObject.
const GstVorbisDec* | gobj () const
| Provides access to the underlying C GObject.
GstVorbisDec* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr< VorbisDec > | create ()
| Creates a new vorbisdec plugin with a unique name.
static Glib::RefPtr< VorbisDec > | create (const Glib::ustring& name)
| Creates a new vorbisdec plugin with the given name.
## Protected Member Functions
| VorbisDec ()
| VorbisDec (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::VorbisDec > | wrap (GstVorbisDec* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the vorbisdec plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::VorbisDec::~VorbisDec | ( |  | ) | `[virtual]`

Gst::VorbisDec::VorbisDec | ( |  | ) | `[protected]`

Gst::VorbisDec::VorbisDec | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<VorbisDec> Gst::VorbisDec::create | ( |  | ) | `[static]`

Creates a new vorbisdec plugin with a unique name.

static Glib::RefPtr<VorbisDec> Gst::VorbisDec::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new vorbisdec plugin with the given name.

const GstVorbisDec* Gst::VorbisDec::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstVorbisDec* Gst::VorbisDec::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstVorbisDec* Gst::VorbisDec::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::VorbisDec > wrap | ( | GstVorbisDec * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/vorbisdec.h